OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_DefaultDeltaOnRemoval Class Reference

This class provides a default implementation of a
TDF_DeltaOnRemoval.
.

`#include <TDF_DefaultDeltaOnRemoval.hxx>`

Inheritance diagram for TDF_DefaultDeltaOnRemoval:

[legend]

## Public Member Functions
Standard_EXPORT | TDF_DefaultDeltaOnRemoval (const Handle(TDF_Attribute)&anAttribute)
| Creates a TDF_DefaultDeltaOnRemoval. .
virtual Standard_EXPORT void | Apply ()
| Applies the delta to the attribute. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DefaultDeltaOnRemoval::TDF_DefaultDeltaOnRemoval | ( | const Handle(TDF_Attribute)& | anAttribute | ) |

## Member Function Documentation

virtual Standard_EXPORT void TDF_DefaultDeltaOnRemoval::Apply | ( |  | ) | `[virtual]`

| Implements TDF_AttributeDelta.

Standard_EXPORT const TDF_DefaultDeltaOnRemoval::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_DeltaOnRemoval.

The documentation for this class was generated from the following file:

- TDF_DefaultDeltaOnRemoval.hxx